package gaju.veiculos;

public class Cliente {

	public static final double MENORES_DE_20_ANOS = 0.07;
	public static final double ACIMA_DE_10_DIAS = 0.05;
	public static final double ACIMA_DE_60_ANOS = 0.035;
	public static final double CLUBE_FIDELIDADE = 0.05;

	private int idade;
	private boolean clubeFidelidade;
	private Grupo grupo;
	private int diasAluguel;
	private boolean parcelado;

	public Cliente() {
		super();
	}

	public Cliente(int idade, boolean clubeFidelidade, Grupo grupo, int diasAluguel, boolean parcelado) {
		super();
		this.idade = idade;
		this.clubeFidelidade = clubeFidelidade;
		this.grupo = grupo;
		this.diasAluguel = diasAluguel;
		this.parcelado = parcelado;
	}

	public static double[] calculoAluguel(Cliente cliente) {
		double[] resultado = new double[2];

		if (cliente.idade >= 18) {
			resultado[0] = cliente.getGrupo().getValorDiaria() * cliente.getDiasAluguel();

			if(cliente.idade <= 20) {
				resultado[0] = resultado[0] - (resultado[0] * MENORES_DE_20_ANOS);
			}else if (cliente.grupo != Grupo.GRUPO_B) {

				if (cliente.clubeFidelidade == true) {
					resultado[0] = resultado[0] - (resultado[0] * CLUBE_FIDELIDADE);
				}

				if (cliente.diasAluguel >= 10) {
					resultado[0] = resultado[0] - (resultado[0] * ACIMA_DE_10_DIAS);
				}

			}

			return resultado;
		}

		return resultado;
	}

	public int getIdade() {
		return idade;
	}

	public void setIdade(int idade) {
		this.idade = idade;
	}

	public boolean isClubeFidelidade() {
		return clubeFidelidade;
	}

	public void setClubeFidelidade(boolean clubeFidelidade) {
		this.clubeFidelidade = clubeFidelidade;
	}

	public Grupo getGrupo() {
		return grupo;
	}

	public void setGrupo(Grupo grupo) {
		this.grupo = grupo;
	}

	public int getDiasAluguel() {
		return diasAluguel;
	}

	public void setDiasAluguel(int diasAluguel) {
		this.diasAluguel = diasAluguel;
	}

	public boolean isParcelado() {
		return parcelado;
	}

	public void setParcelado(boolean parcelado) {
		this.parcelado = parcelado;
	}

}
